
import random
import altair as alt

def random_chart(data):
    # Generate a random chart from the Altair library
    chart_type = random.choice(['bar', 'line', 'area', 'point', 'rule', 'interval', 'text'])
    mark = alt.Chart(data).mark[chart_type]()
    
    if chart_type in ['bar', 'line', 'area', 'point', 'rule']:
        # For these types, we can add a color encoding
        mark = mark.encode(color=alt.Color('category', scale=alt.Scale(scheme='category10')))
    
    if chart_type in ['bar', 'line', 'area']:
        # For these types, we can add an x and y encoding
        mark = mark.encode(x=alt.X('value', title='Value'), y=alt.Y('category', title='Category'))
    
    return mark

# Example usage:
# data = alt.Data({ 'category': ['A', 'B', 'C'], 'value': [10, 20, 30] })
# chart = random_chart(data)
# print(chart)



